Subject: [dispatch] Comments on draft-schulzrinne-dispatch-status-unwanted-00

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Mon, 10 Oct 2016 14:38:06 +0000

Section 4:

I am not convinced that section 4 requires any RFC 2219 language. Certainly use of "MAY" provdes an optional "obligation" which is inconsistent with the earlier part of the section. My preference would be to rewrite with entirely informative language, as actions with the "MAY" would go beyong what I interpret as the main part of the scope of the document.

Section 6:

I consider this would be clearer if the following form is used, as I am not sure what the "RECOMMENDED" as in "SHOULD" actually means here.

Can we rewrite this is the form of: "Because calling party numbers can be spoofed, this response code MUST only be used if the UAS has some guarantee of the integrity of the calling party number. [I-D.ietf-stir-rfc4474bis] provides a means of guaranteeing the integrity of the calling party number.

Keith